# Asterisk Project : Asterisk 12 Application_Bridge

Added by wikibot , edited by wikibot on Aug 29, 2013

# Bridge()

### Synopsis

Bridge two channels.

### Description

Allows the ability to bridge two channels via the dialplan.

This application sets the following channel variable upon completion:

- `BRIDGERESULT` - The result of the bridge attempt as a text string.
  - SUCCESS
  - FAILURE
  - LOOP
  - NONEXISTENT
  - INCOMPATIBLE

### Syntax

    Bridge(channel,options)

##### Arguments

- `channel` - The current channel is bridged to the specified channel.
- `options`
  - `p` - Play a courtesy tone to channel.
  - `F` - When the bridger hangs up, transfer the bridged party to the specified destination and start execution at that location.
    - `context`
    - `exten`
    - `priority`
  - `F` - When the bridger hangs up, transfer the bridged party to the next priority ofthe current extension and start execution at that location.
  - `h` - Allow the called party to hang up by sending the * DTMF digit.
  - `H` - Allow the calling party to hang up by pressing the * DTMF digit.
  - `k` - Allow the called party to enable parking of the call by sending the DTMF sequence defined for call parking in `features.conf`.
  - `K` - Allow the calling party to enable parking of the call by sending the DTMF sequence defined for call parking in `features.conf`.
  - `L(xyz)` - Limit the call to x ms. Play a warning when y ms are left. Repeat the warning every z ms. The following special variables can be used with this option:
    - `LIMIT_PLAYAUDIO_CALLER` - Play sounds to the caller. yes|no (default yes)
    - `LIMIT_PLAYAUDIO_CALLEE` - Play sounds to the callee. yes|no
    - `LIMIT_TIMEOUT_FILE` - File to play when time is up.
    - `LIMIT_CONNECT_FILE` - File to play when call begins.
    - `LIMIT_WARNING_FILE` - File to play as warning if y is defined. The default is to say the time remaining.
  - `S` - Hang up the call after x seconds after the called party has answered the call.
  - `t` - Allow the called party to transfer the calling party by sending the DTMF sequence defined in `features.conf`.
  - `T` - Allow the calling party to transfer the called party by sending the DTMF sequence defined in `features.conf`.
  - `w` - Allow the called party to enable recording of the call by sending the DTMF sequence defined for one-touch recording in `features.conf`.
  - `W` - Allow the calling party to enable recording of the call by sending the DTMF sequence defined for one-touch recording in `features.conf`.
  - `x` - Cause the called party to be hung up after the bridge, instead of being restarted in the dialplan.

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown